curl --request POST \
--url https://api.attio.com/v2/files/upload \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form file='@example-file' \
--form object=people \
--form record_id=bf071e1f-6035-429d-b874-d83ea64ea13b \
--form parent_folder_id=a1b2c3d4-e5f6-7890-abcd-ef1234567890import requests
url = "https://api.attio.com/v2/files/upload"
files = { "file": ("example-file", open("example-file", "rb")) }
payload = {
"object": "people",
"record_id": "bf071e1f-6035-429d-b874-d83ea64ea13b",
"parent_folder_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
}
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, data=payload, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('file', '<string>');
form.append('object', 'people');
form.append('record_id', 'bf071e1f-6035-429d-b874-d83ea64ea13b');
form.append('parent_folder_id', 'a1b2c3d4-e5f6-7890-abcd-ef1234567890');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://api.attio.com/v2/files/upload', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": {
"workspace_id": "14beef7a-99f7-4534-a87e-70b564330a4c",
"file_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
},
"object_id": "97052eb9-e65e-443f-a297-f2d9a4a7f795",
"object_slug": "people",
"record_id": "bf071e1f-6035-429d-b874-d83ea64ea13b",
"storage_provider": "attio",
"created_by_actor": {
"type": "workspace-member",
"id": "50cf242c-7fa3-4cad-87d0-75b1af71c57b"
},
"created_at": "2023-01-01T15:00:00.000000000Z",
"file_type": "file",
"name": "document.pdf",
"content_type": "application/pdf",
"content_size": 1024,
"parent_folder_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Upload a file
Uploads a file to native Attio storage for a record. Send multipart/form-data with a single binary field named file together with the body fields object, record_id, and optional parent_folder_id. Maximum file size is 50 MB.
This endpoint is in beta. We will aim to avoid breaking changes, but small updates may be made as we roll out to more users.
Required scopes: file:read-write, object_configuration:read, record_permission:read.
Authorizations
This API uses OAuth 2.0 with the authorization code grant flow.
Body
The file to upload.
The object slug or ID.
1"people"
The ID of the record to upload the file to.
"bf071e1f-6035-429d-b874-d83ea64ea13b"
Optional parent folder ID. Omit to upload to the root folder.
"a1b2c3d4-e5f6-7890-abcd-ef1234567890"
Response
Created
Created
Show child attributes
Show child attributes
Was this page helpful?